<?php
$correcto   = false;
$mensaje	= 'Su contraseña no pudo ser modificada...';

if(!isset($_SESSION)){
    session_start();
}

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');
if(
	isset($_SESSION[_SYSTEM_SESIONID.'userId']) 
	&& isset($_POST["txt_clave_actual"]) && $_POST["txt_clave_actual"] != ""
	&& isset($_POST["txt_clave_nueva"]) && $_POST["txt_clave_nueva"] != ""	
	&& isset($_POST["txt_clave_confirmacion"]) && $_POST["txt_clave_confirmacion"] != ""
) {	
	$txt_clave_actual		= filter_var($_POST["txt_clave_actual"], FILTER_SANITIZE_STRING);
	$txt_clave_nueva		= filter_var($_POST["txt_clave_nueva"], FILTER_SANITIZE_STRING);	
	$txt_clave_confirmacion = filter_var($_POST["txt_clave_confirmacion"], FILTER_SANITIZE_STRING);
	$usuario				= varios::decodifica($_SESSION[_SYSTEM_SESIONID.'userId']);
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Usuario.Class.php');	
	$usuario_obj  	    = new Usuario(null);
	$auditoria_accion   = "Update";
    $auditoria_tabla    = "usuario";
    $auditoria_sql      = "EXEC agenda.SP_usuario_modifica_clave ".$usuario.", '-', '-';";
	$usuario_resultado  = $usuario_obj->modificarUsuario_Clave($usuario, sha1($txt_clave_actual), sha1($txt_clave_nueva));
	$mensaje	 = $usuario_resultado['mensaje'];
	$resultado 	 = $usuario_resultado['resultado'];
	if( $resultado > 0 ) {
		$correcto = true;
	}
	Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );
	$usuario_obj->Close();

} else{
	$mensaje = 'Los parámetros recibidos NO son válidos';
}

$data = array("success" => $correcto, "mensaje" => $mensaje );
echo json_encode($data);
?>